public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/grpc/
Date: Mon, 25 Dec 2023 19:22:31 +0000 (UTC)	[thread overview]
Message-ID: <1703532135.112d6d4495c3e6547d53746c109fb689af18e0a9.conikost@gentoo> (raw)

commit:     112d6d4495c3e6547d53746c109fb689af18e0a9
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 25 19:21:07 2023 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Mon Dec 25 19:22:15 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=112d6d44

net-libs/grpc: add 1.60.0

Closes: https://bugs.gentoo.org/915482
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 net-libs/grpc/Manifest           |   1 +
 net-libs/grpc/grpc-1.60.0.ebuild | 111 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 112 insertions(+)

diff --git a/net-libs/grpc/Manifest b/net-libs/grpc/Manifest
index e2b42171062c..7f8917ce7461 100644
--- a/net-libs/grpc/Manifest
+++ b/net-libs/grpc/Manifest
@@ -2,3 +2,4 @@ DIST grpc-1.52.1.tar.gz 8686340 BLAKE2B 0076ddd4a2840892f4ad11885e18f782b6a64533
 DIST grpc-1.55.1.tar.gz 9272441 BLAKE2B b2788d8deeb9791f04073294caa82c10e2cfe6376d09f396b51508a52f809e7f9f48d50ad5a62b2add652633b5c2d3b1ba07857b81111fa810202106251f440d SHA512 ecfa3a5affe33f160032f2ce42a9b44344d217359f68ee99305162ccabc911f44bc22512401183de74347e86add2ce20ec89da87ba6c14ab69874eb0835145d1
 DIST grpc-1.56.1.tar.gz 11750628 BLAKE2B 52ea088d3d19fa7c1d1dc44899cd67bfd0132df2fd37690d855194d3196e4c26cfdd6fe589b5e4f802cdf88e70aad6c33b3ee98c1bd1bc47356d0dee9cdc706d SHA512 2bf9619edb60a6cec4cdaa89ee3c470c52b9745ea954bfe205aef6eb29bb55949de02e8c2afc7352eacdcd33fe4000861fd16fda9e5f66c87222674b17d6322a
 DIST grpc-1.57.0.tar.gz 17337863 BLAKE2B 10c6fb35f606806aeb25cd55dd993d9af168eb8b1db64b4515830e2144dc44f35ce8f8329316a38d933b8032a0eff386591a0ddb87f2e405c5deaba012db2824 SHA512 b323de7c1f35b9de3fb7bf02ff4db6993abb0eee6860bbf2082818dda405fbe3a19fad91c5b48565cb65c6318de739bb91e47b5095801c078c6cbf3e8c73600c
+DIST grpc-1.60.0.tar.gz 17442762 BLAKE2B 35cc0ea938deb848ca91e3d5f8879b85b80f94ac09b582600f05fee1f55c162ae98f2f744480f69d78e78da0c0f2d9e198f812101daaa1f1959869f26ba7d97a SHA512 91c2406ed4198509ac0d5360b3da6898fa4f40f459eb6fff541faa44cc238eed98fd7489e7ef7a80a6f4a318bc5b9130eaa0ba1beaa358d1c074fc82825648ff

diff --git a/net-libs/grpc/grpc-1.60.0.ebuild b/net-libs/grpc/grpc-1.60.0.ebuild
new file mode 100644
index 000000000000..4a22cee5664a
--- /dev/null
+++ b/net-libs/grpc/grpc-1.60.0.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic
+
+MY_PV="${PV//_pre/-pre}"
+
+DESCRIPTION="Modern open source high performance RPC framework"
+HOMEPAGE="https://www.grpc.io"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+# format is 0/${CORE_SOVERSION//./}.${CPP_SOVERSION//./} , check top level CMakeLists.txt
+SLOT="0/37.160"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="doc examples test systemd"
+
+# look for submodule versions in third_party dir
+RDEPEND="
+	=dev-cpp/abseil-cpp-20230802.0*:=
+	>=dev-libs/re2-0.2021.11.01:=
+	>=dev-libs/openssl-1.1.1:0=[-bindist(-)]
+	>=dev-libs/protobuf-23.3:=
+	dev-libs/xxhash
+	>=net-dns/c-ares-1.15.0:=
+	sys-libs/zlib:=
+	systemd? ( sys-apps/systemd:= )
+"
+DEPEND="
+	${RDEPEND}
+	test? (
+		dev-cpp/benchmark
+		dev-cpp/gflags
+	)
+"
+
+BDEPEND="virtual/pkgconfig"
+
+# requires sources of many google tools
+RESTRICT="test"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+PATCHES=(
+)
+
+soversion_check() {
+	local core_sover cpp_sover
+	# extract quoted number. line we check looks like this: 'set(gRPC_CPP_SOVERSION    "1.37")'
+	core_sover="$(grep 'set(gRPC_CORE_SOVERSION ' CMakeLists.txt  | sed '/.*\"\(.*\)\".*/ s//\1/')"
+	cpp_sover="$(grep 'set(gRPC_CPP_SOVERSION ' CMakeLists.txt  | sed '/.*\"\(.*\)\".*/ s//\1/')"
+	# remove dots, e.g. 1.37 -> 137
+	core_sover="${core_sover//./}"
+	cpp_sover="${cpp_sover//./}"
+	[[ ${core_sover} -eq $(ver_cut 2 ${SLOT}) ]] || die "fix core sublot! should be ${core_sover}"
+	[[ ${cpp_sover} -eq $(ver_cut 3 ${SLOT}) ]] || die "fix cpp sublot! should be ${cpp_sover}"
+}
+
+src_prepare() {
+	cmake_src_prepare
+
+	# un-hardcode libdir
+	sed -i "s@/lib@/$(get_libdir)@" cmake/pkg-config-template.pc.in || die
+
+	# suppress network access, package builds fine without the submodules
+	mkdir "${S}/third_party/opencensus-proto/src" || die
+
+	soversion_check
+}
+
+src_configure() {
+	# https://github.com/grpc/grpc/issues/29652
+	filter-lto
+
+	local mycmakeargs=(
+		-DgRPC_INSTALL=ON
+		-DgRPC_ABSL_PROVIDER=package
+		-DgRPC_BACKWARDS_COMPATIBILITY_MODE=OFF
+		-DgRPC_CARES_PROVIDER=package
+		-DgRPC_INSTALL_CMAKEDIR="$(get_libdir)/cmake/${PN}"
+		-DgRPC_INSTALL_LIBDIR="$(get_libdir)"
+		-DgRPC_PROTOBUF_PROVIDER=package
+		-DgRPC_RE2_PROVIDER=package
+		-DgRPC_SSL_PROVIDER=package
+		-DgRPC_ZLIB_PROVIDER=package
+		-DgRPC_BUILD_TESTS=$(usex test)
+		-DCMAKE_CXX_STANDARD=17
+		-DCMAKE_DISABLE_FIND_PACKAGE_systemd=$(usex !systemd)
+		$(usex test '-DgRPC_BENCHMARK_PROVIDER=package' '')
+	)
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+
+	if use examples; then
+		find examples -name '.gitignore' -delete || die
+		dodoc -r examples
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
+
+	if use doc; then
+		find doc -name '.gitignore' -delete || die
+		local DOCS=( AUTHORS CONCEPTS.md README.md TROUBLESHOOTING.md doc/. )
+	fi
+
+	einstalldocs
+}


             reply	other threads:[~2023-12-25 19:22 UTC|newest]

Thread overview: 86+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-12-25 19:22 Conrad Kostecki [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-17 16:00 [gentoo-commits] repo/gentoo:master commit in: net-libs/grpc/ Sam James
2024-09-12 21:59 Sam James
2024-09-04  9:32 Sam James
2024-07-09 12:52 Sam James
2023-08-21 18:22 Sam James
2023-08-21 17:31 Sam James
2023-08-21 17:31 Sam James
2023-08-21 17:31 Sam James
2023-08-21 16:35 Sam James
2023-08-21 15:23 Sam James
2023-05-26 20:21 Andreas Sturmlechner
2023-05-14  8:48 Sam James
2023-05-14  8:48 Sam James
2023-05-14  8:48 Sam James
2023-02-27  9:10 WANG Xuerui
2023-02-24 17:11 Arthur Zamarin
2023-02-20 21:29 Arthur Zamarin
2023-02-16  5:52 WANG Xuerui
2023-02-12 18:42 Jakov Smolić
2023-02-12 18:42 Jakov Smolić
2023-02-12 18:36 Jakov Smolić
2023-02-11  7:47 WANG Xuerui
2023-02-11  7:47 WANG Xuerui
2023-02-11  7:47 WANG Xuerui
2023-02-07  0:35 Georgy Yakovlev
2022-12-24 14:49 Andreas Sturmlechner
2022-12-20 23:57 Sam James
2022-10-27 23:46 Sam James
2022-10-20 10:52 Jakov Smolić
2022-08-17 21:13 Sam James
2021-12-20 12:09 Agostino Sarubbo
2021-12-20  9:20 Arthur Zamarin
2021-12-20  5:34 Georgy Yakovlev
2021-12-20  5:31 Georgy Yakovlev
2021-12-20  5:10 Georgy Yakovlev
2021-12-20  5:04 Georgy Yakovlev
2021-11-14  1:59 Georgy Yakovlev
2021-06-21 23:31 Georgy Yakovlev
2021-06-21 23:31 Georgy Yakovlev
2021-05-30  1:43 Georgy Yakovlev
2021-05-15  2:21 Sam James
2021-05-02 10:16 Mikle Kolyada
2021-04-30 18:11 Georgy Yakovlev
2021-04-29 23:35 Georgy Yakovlev
2021-04-29 11:46 Michał Górny
2021-04-29  8:29 Georgy Yakovlev
2020-04-24 20:02 Georgy Yakovlev
2020-04-23 16:27 Stefan Strogin
2020-04-20  7:28 Georgy Yakovlev
2020-02-22  1:30 Georgy Yakovlev
2020-01-17 10:22 Georgy Yakovlev
2020-01-17 10:22 Georgy Yakovlev
2019-12-22  3:28 Georgy Yakovlev
2019-10-26  0:11 Georgy Yakovlev
2019-08-17  3:00 Georgy Yakovlev
2019-08-17  3:00 Georgy Yakovlev
2019-08-17  3:00 Georgy Yakovlev
2019-08-17  3:00 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-07-27  9:07 Georgy Yakovlev
2019-05-31 19:26 Georgy Yakovlev
2019-05-28  6:49 Georgy Yakovlev
2019-05-07 19:00 Georgy Yakovlev
2019-05-07 19:00 Georgy Yakovlev
2019-04-30  4:42 Georgy Yakovlev
2019-02-27  4:20 Georgy Yakovlev
2019-01-16  0:52 Georgy Yakovlev
2019-01-16  0:52 Georgy Yakovlev
2018-12-15  6:00 Georgy Yakovlev
2018-12-10  4:50 Georgy Yakovlev
2018-11-15  3:21 Georgy Yakovlev
2018-11-15  3:21 Georgy Yakovlev
2018-07-16 19:32 Georgy Yakovlev
2018-07-15 22:20 Georgy Yakovlev
2018-07-15 22:20 Georgy Yakovlev
2018-07-15 22:20 Georgy Yakovlev
2018-07-08 15:29 Jason Zaman
2018-06-17  1:18 Georgy Yakovlev
2018-05-30 13:24 Jason Zaman
2018-05-30 13:24 Jason Zaman
2018-05-03  8:59 Jason Zaman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1703532135.112d6d4495c3e6547d53746c109fb689af18e0a9.conikost@gentoo \
    --to=conikost@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox